pc-reminder {
  position: relative;
  min-height: 450px;
  display: block;
}

.todo-container {
  position: absolute;
  height: 100%;
  left: 0;
  right: 0;
  top: 0;
}

.todo-container .reminder-add-form-container {
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  background-color: #fff;
  z-index: 1;
}

.remader-close-form {
  display: inline-block;
  width: 20px;
  height: 20px;
  border: none;
  background-color: var(--rd-primary-active);
  mask-size: contain;
  -webkit-mask-size: contain;
  mask-position: 50%;
  -webkit-mask-position: 50%;
  mask-repeat: no-repeat;
  -webkit-mask-repeat: no-repeat;
  mask-image: url("/src/img/2023/svg/icons/rd-icon-close.svg");
  -webkit-mask-image: url("/src/img/2023/svg/icons/rd-icon-close.svg");
  cursor: pointer;
  padding: 0;
}

.todo-titel {
  display: block;
}

.todo-date {
  display: block;
  color: var(--rd-primary-active);
  font-size: var(--rd-fontsize-3);
  font-weight: var(--rd-fontweights-open-sans-1);
  line-height: var(--rd-lineheights-0);
  margin-top: 8px;
}

.todo-item .item-label {
  display: flex;
  gap: var(--rd-spacing-sm);
  align-items: center;
}

input.todo-checkbox {
  appearance: none;
  display: inline-block;
  position: relative;
  opacity: 1;
  width: 18px;
  height: 18px;
  border-radius: 100%;
  background-color: var(--rd-list-default-light);
  border: 1px solid var(--cl-light-grey);
  /* margin-top: 4px; */
  cursor: pointer;
  position: relative;
}

.todo-checkbox:checked {
  /* border: none; */
}

.todo-checkbox:checked {
  border: none;
}

.todo-checkbox:checked:before {
  content: "";
  display: inline-block;
  border-radius: 100%;
  cursor: pointer;
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  background-image: url('/src/img/2024/svg/icons/pc_check_todo.svg');
  background-size: 100%;
  z-index: 0;
}

.todo-checkbox.animated_checkbox:before {
  display: none;
}

.todo-checkbox.animated_checkbox:after {
  content: '';
  display: inline-block;
  border-radius: 100%;
  cursor: pointer;
  position: absolute;
  left: -20px;
  top: -20px;
  right: -20px;
  bottom: -20px;
  background-image: url('/src/img/2024/gifs/Success.gif');
  background-size: 100%;
  background-repeat: no-repeat;
  z-index: 100;
}

/* MEHR ANziegen FORM **/
.all-tasks-overlay {
  position: fixed;
  top: 0;
  right: 0;
  width: 450px;
  height: 100%;
  background-color: white;
  box-shadow: -4px 0px 10px rgba(0, 0, 0, 0.2);
  z-index: 9999;
  padding: var(--rd-spacing-x-big);
  /*  */
}

.all-tasks-overlay .dashboard-widget-header {
  padding: 0 0 var(--rd-spacing-md) 0;
}

.all-tasks-overlay .rd-tabs-card,
.todo-container .rd-tabs-card {
  margin-bottom: var(--rd-spacing-md);
  box-shadow: none;
  border-bottom: 1px solid var(--rd-input-default);
  border-radius: 0;
}

.all-tasks-overlay .rd-tabs-card .rd-tab,
.todo-container .rd-tab {
  padding: var(--rd-spacing-md);
  text-align: center;
  font-size: var(--rd-fontsize-4);
  font-style: normal;
  font-weight: var(--rd-fontweights-open-sans-0);
  line-height: var(--rd-lineheights-0);
  /* 18.48px */
  /* letter-spacing: 0.14px; */
  cursor: pointer;
}

.all-tasks-overlay .rd-tabs-card .rd-tab.rd-selected,
.todo-container .rd-tabs-card .rd-tab.rd-selected {
  color: var(--rd-success-default);
  cursor: default;
}

.all-tasks-body {
  overflow-y: auto;
  padding: var(--rd-spacing-md);
  margin-top: 0;
  padding-bottom: 60px;
  position: relative;
  height: 100%;
  padding-left: var(--rd-spacing-big);
}

.all-tasks-body ul {
  margin: 0;
}

.all-tasks-body-block {
  position: relative;
  height: 80%;
  height: calc(100% - 350px);
}

.todo-list-container {
  position: relative;
  height: calc(100%);
  overflow: hidden;
  max-height: 340px;
  z-index: 0;
}

.all-tasks-body-block:after,
.todo-list-container:after {
  /*
  content: "";
  display: inline-block;
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  height: 80px;
  /* background-color: #ffffffde; */

  background-image: linear-gradient(0deg, #ffffff, transparent);
  right: 20px;

}

.all-tasks-form {
  padding: 20px;
}

.all-tasks-form .center_bnt,
.form-body .center_bnt {
  text-align: center;
}

.sidebar_form_header {
  color: var(--rd-font-dark);
  font-size: var(--rd-fontsize-5);
  font-style: normal;
  font-weight: var(--rd-fontweights-open-sans-1);
  line-height: var(--rd-lineheights-0);
  /* 19.2px */
  padding: var(--rd-spacing-md) 0;
  margin-bottom: 16px;
  border-bottom: 1px solid var(--rd-input-default);
}

.all-tasks-form input#sidebarTextarea,
.reminder-add-form-container .form-body input.reminder-title {
  display: block;
  width: 100%;
  padding: var(--rd-spacing-x-sm);
  margin-bottom: var(--rd-spacing-md);
  border: 1px solid #ccc;
}

.all-tasks-form pc-datetimeinput,
.reminder-add-form-container .form-body pc-datetimeinput {
  margin-bottom: var(--rd-spacing-md);
  width: 100%;
}

.all-tasks-form pc-datetimeinput .pc_datetimevalue_wrap,
.reminder-add-form-container .form-body pc-datetimeinput .pc_datetimevalue_wrap {
  grid-template-columns: calc(100% - 125px) 110px;
}

.todo-list-section:has(*) {
  padding: var(--rd-spacing-md);
  position: relative;
  padding-left: var(--rd-spacing-x-big);
}

.todo-list-section:first-child {
  padding-bottom: 0;
  padding-top: 22px !important;
}

.todo-list-container:has(.form-edit-body) {
  /* position:relative; */
  z-index: 1000;
}

.all-tasks-body legend,
.todo-list-section legend {
  color: var(--rd-font-dark);
  border: none;
  font-size: var(--rd-fontsize-3);
  font-weight: var(--rd-fontweights-open-sans-1);
  line-height: var(--rd-lineheights-0);
}

.todo-list,
.todo-list-section ul,
.todo-list {
  display: block;
  margin: 0;
  padding: 0;
}

.all-tasks-body ul li,
.todo-list-section li {
  display: block;
  margin-bottom: var(--rd-spacing-md);
}

.todo-titel {
  color: var(--rd-font-dark);
  font-size: var(--rd-fontsize-4);
  font-style: normal;
  font-weight: var(--rd-fontweights-open-sans-1);
  line-height: normal;
}

.all-task-close-bg {
  position: fixed;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  z-index: 10;
}

.todo-list-more {
  position: absolute;
  color: var(--rd-primary-active);
  padding: var(--rd-spacing-x-big);
  font-size: var(--rd-fontsize-3);
  font-style: normal;
  font-weight: var(--rd-fontweights-open-sans-1);
  line-height: normal;
  text-align: center;
  display: block;
  left: 0;
  right: 0;
  bottom: 0;
  cursor: pointer;
}

.reminder-add-form-container .form-body {
  padding: var(--rd-spacing-md);
}

.reminder-empty-state-img {
  text-align: center;
}

.reminder-empty-state p {
  display: inline-block;
  width: 80%;
  max-width: 410px;
}

.todo-list-more.relativ {
  position: relative;
}

.form-edit-body {
  display: grid;
  gap: var(--rd-spacing-sm);
  grid-template-areas:
    "TITEL BTN"
    "DATE DATE";
  grid-template-columns: calc(100% - 36px) 24px;
  /* Zweispaltig */
  width: 100%;
  background-color: #FFF;
  /* border: 1px solid; */
  position: relative;
  z-index: 100;
}

.date_field {
  grid-area: DATE;
  width: 100%;
}

.date_field pc-datetimeinput {
  margin: 0;
}

.cofirm-btn {
  display: inline-block;
  width: var(--rd-spacing-x-big);
  padding: 8px;
  height: 100%;
  background-color: var(--rd-primary-active);
  border-radius: var(--rd-borderradius-border-md);
  align-items: center;
  gap: 4px;
  align-self: stretch;
  position: relative;
}

.cofirm-btn:before {
  content: '';
  display: inline-block;
  position: absolute;
  background-color: #FFF;
  left: 0;
  right: 0;
  bottom: 0;
  top: 0;
  mask-size: 15px;
  -webkit-mask-size: 15px;
  mask-position: 50%;
  -webkit-mask-position: 50%;
  mask-repeat: no-repeat;
  -webkit-mask-repeat: no-repeat;
  mask-image: url("/src/img/2023/svg/icons/rd-icon-check-green.svg");
  -webkit-mask-image: url("/src/img/2023/svg/icons/rd-icon-check-green.svg");
  cursor: pointer;
}

.form-edit-content {
  display: block;
  width: 100%;
}

.form-edit-body input,
.form-edit-body input:hover {
  padding: 8px;
  font-size: 12px !Important;
  line-height: 12px;
  width: 100%;
  height: unset;
  border: 1px solid var(--rd-input-default);
}



.close-btn {
  display: inline-block;
  width: 15px;
  height: 15px;
  border: none;
  background-color: var(--rd-error-hover);
  mask-size: contain;
  -webkit-mask-size: contain;
  mask-position: 50%;
  -webkit-mask-position: 50%;
  mask-repeat: no-repeat;
  -webkit-mask-repeat: no-repeat;
  mask-image: url("/src/img/2023/svg/icons/rd-icon-close.svg");
  -webkit-mask-image: url("/src/img/2023/svg/icons/rd-icon-close.svg");
  cursor: pointer;

}

.item-label:has(.form-edit-body)>input[type="checkbox"] {
  display: none;
}

.add-reminder-btn {
  display: inline-block;
  width: 15px;
  height: 15px;
  border: none;
  background-color: var(--rd-secondary-active);
  mask-size: 20px;
  -webkit-mask-size: 20px;
  mask-position: 50%;
  -webkit-mask-position: 50%;
  mask-repeat: no-repeat;
  -webkit-mask-repeat: no-repeat;
  mask-image: url("/src/img/2023/svg/icons/rd-icon-plus-circle.svg");
  -webkit-mask-image: url("/src/img/2023/svg/icons/rd-icon-plus-circle.svg");
  cursor: pointer;
}

.center_flex_bnt {
  display: grid;
  grid-template-areas:
    "LEFT MID RIGHT";
  grid-template-columns: 60px auto 60px;
  align-items: center;
  position: absolute;
  bottom: 0;
  z-index: 10;
  left: 0;
  right: 0;
  /* right: 20px; */
}

.center_flex_bnt::before {
  content: "";
  display: inline-block;
  width: 100%;
  height: 100px;
  position: absolute;
  bottom: 60px;
  z-index: 10;
  opacity: 0.4;
  pointer-events: none;

}

.center_flex_bnt {}

.add-reminder-magenta-btn {
  display: inline-block;
  width: 44px;
  height: 44px;
  border-radius: 100%;
  margin-right: 30px;
  cursor: pointer;
  mask-image: urL("/src/img/2024/svg/icons/rd-icon-round-add_expanded3.svg");
  -webkit-mask-image: urL("/src/img/2024/svg/icons/rd-icon-round-add_expanded3.svg");
  mask-size: contain;
  -webkit-mask-size: contain;
  mask-position: 50%;
  -webkit-mask-position: 50%;
  mask-repeat: no-repeat;
  -webkit-mask-repeat: no-repeat;
  background-color: var(--rd-primary-active);
}

.add-reminder-magenta-btn:hover {
  background-color: var(--rd-primary-hover);
}

.add-reminder-magenta-btn:focus {
  background-color: var(--rd-primary-pressed);
}



.center_flex_bnt .todo-list-more {
  position: relative;

}

.item-label:has(.form-edit-body) {
  display: block;
  width: 100%;
}

.rd-user-news-content {
  color: var(--rd-font-dark);
  font-size: 18px;
}

.all-tasks-form input {
  height: 40px;
  font-size: var(--rd-fontsize-4);
  line-height: 20px;
  border-radius: var(--rd-borderradius-border-md);
  padding: var(--rd-spacing-md) !important;
  border: var(--rd-borderwidth-border-default) solid var(--rd-input-default) !important;
  background-color: var(--rd-font-light);
  width: 100%;
  color: var(--rd-font-dark);
  font-weight: var(--rd-fontweights-open-sans-2);
}

.all-tasks-form input:hover {
  border-color: var(--rd-input-hover) !important;
}

.all-tasks-form input#sidebarTextarea:focus {
  border: 2px solid var(--rd-input-focused) !important;
  outline: none;
}

.todo-overlay-blocker {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 60px;
  height: 60px;
  z-index: 20;
  background: white;
  pointer-events: all;
  opacity: 0.5;
  transition: none !important;
}

.todo-list-container .todo-item {
  view-transition-name: none !important;
}

@media (max-width: 768px) {
  .all-tasks-overlay {
    width: 100%;
  }

  body:has(.all-tasks-overlay) {
    overflow: hidden;
  }


}

@media (max-width: 400px) {
  .center_flex_bnt {
    z-index: 30;
    background: var(--rd-font-light);
  }
}